=== modified file 'NEWS'
--- NEWS	2008-06-06 18:04:45 +0000
+++ NEWS	2008-06-29 18:31:29 +0000
@@ -10,6 +10,8 @@
   
   * Fixed adding tags. (Javier Derderian, #228709)
 
+  * Avoid use of removed smart_add. (Jelmer Vernooij, #244025)
+
  INTERNALS
 
   * All i18n calls should now go through _i18n which must be imported from

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-05-05 18:18:08 +0000
+++ olive/menu.py	2008-06-29 18:31:29 +0000
@@ -179,7 +179,8 @@
                          _i18n('Please select a file from the list,\nor choose the other option.'))
             return
         
-        bzrlib.add.smart_add([os.path.join(directory, filename)])
+        wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
+        wt.add([path])
     
     @show_bzr_error
     def annotate(self, action):

=== modified file 'revisionview.py'
--- revisionview.py	2008-06-29 19:04:44 +0000
+++ revisionview.py	2008-06-24 10:34:38 +0000
@@ -322,8 +322,8 @@
         self._create_general()
         self._create_relations()
         # Disabled because testaments aren't verified yet:
-        if has_seahorse:
-            self._create_signature()
+        # if has_seahorse:
+        #    self._create_signature()
         self._create_file_info_view()
         self._create_bugs()
 

